# $Revision: 1.28 $, $Date: 2010/08/19 13:48:01 $
%include	/usr/lib/rpm/macros.php
%define		_class		Image
%define		_subclass	GraphViz
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
%define		subver	RC3
%define		rel		1
Summary:	%{_pearname} - Interface to AT&T's GraphViz tools
Summary(pl.UTF-8):	%{_pearname} - interfejs do narzędzi GraphViz AT&T
Name:		php-pear-%{_pearname}
Version:	1.3.0
Release:	0.%{subver}.%{rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	59f4d88f0479dee91079ffbd59eb5ed4
URL:		http://pear.php.net/package/Image_GraphViz/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GraphViz class allows for the creation of and the work with
directed and undirected graphs and their visualization with AT&T's
GraphViz tools.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa GraphViz pozwala na tworzenie oraz pracę z bezpośrednimi i
niebezpośrednimi grafami, a także ich wizualizację za pomocą narzędzi
GraphViz AT&T.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

# don't care for tests
rm -rf $RPM_BUILD_ROOT%{php_pear_dir}/tests/%{_pearname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Image_GraphViz.spec,v $
Revision 1.28  2010/08/19 13:48:01  glen
- up to 1.3.0RC3-beta

Revision 1.27  2008/02/02 02:32:27  glen
- rel 2

Revision 1.26  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.24  2006/06/03 21:48:20  glen
- 1.2.1

Revision 1.23  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.22  2006/05/19 19:07:08  glen
- 1.2.0

Revision 1.21  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.20  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.19  2005/10/05 18:31:31  glen
- rel 2

Revision 1.18  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.17  2005/02/05 19:48:19  adamg
- updated to 1.1.0

Revision 1.16  2004/12/23 15:17:09  adamg
- updated to 1.1.0beta1

Revision 1.15  2004/12/03 22:17:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.14  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.13  2004/02/26 15:48:02  adamg
- updated to 1.0.3

Revision 1.12  2004/02/22 16:24:30  adamg
- updated to 1.0.2

Revision 1.11  2003/10/07 20:55:00  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.9  2003/06/14 09:23:39  adamg
- cosmetics

Revision 1.8  2003/05/28 08:58:39  adamg
- massive attack: added source0-md5

Revision 1.7  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/01/02 23:22:47  blues
- info about status

Revision 1.5  2002/12/12 19:26:35  blues
- 1.0.1

Revision 1.4  2002/10/14 23:43:55  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.3  2002/09/25 21:43:26  blues
- 0.3 - STBR

Revision 1.2  2002/09/13 11:50:26  blues
- fix in macros

Revision 1.1  2002/07/21 19:18:21  blues
- initial release

